#!/bin/sh
#
# Remove old mysql distribution with source layout
# in preparation for a new version with binary layout
#
# Written by Marc Liyanage <http://www.entropy.ch>
#

cd /usr/local

RECEIPT=`ls -1d /Library/Receipts/mysql-3* | tail -1`
BOMFILE=$RECEIPT/Con*/Res*/*.bom

if [ -e $BOMFILE ]
then
	PACKAGE=`basename $RECEIPT`
else
	echo
	echo I was not able to find information about the old package, cannot continue.
	echo
	exit 1
fi




echo
echo I found the mysql package $PACKAGE
echo
echo Is this the correct package to remove?
echo Type \"yes\" to confirm, anything else to abort.
echo

read ANSWER

if [ $ANSWER == "yes" ]
then
	echo
else
	echo Aborting, your system is unchanged
	echo
	exit 1
fi

echo
echo Next you will be shown a (rather long) list
echo of the files which will be removed. You will
echo then be given the choice to proceed with the removal
echo or abort the process.
echo
echo Hit the Return key to see the list.
echo 

read ANSWER

echo
echo
echo Going to remove these files:
echo ===========================
echo
lsbom -s -f $BOMFILE

echo
echo
echo Going to remove these directories:
echo =================================
echo
lsbom -s -d $BOMFILE | grep -i sql
echo
echo
echo

echo Do you want to proceed with the removal of these files?
echo Type \"yes\" to confirm, anything else to abort.
echo

read ANSWER

if [ $ANSWER == "yes" ]
then
	echo
else
	echo Aborting, your system is unchanged
	echo
	exit 1
fi



#lsbom -s -f $BOMFILE | xargs -n 1 echo rm
#lsbom -s -d $BOMFILE | grep -i sql | xargs -n 1 echo rm -rf

lsbom -s -f $BOMFILE | xargs -n 1 rm
lsbom -s -d $BOMFILE | grep -i sql | xargs -n 1 rm -rf

